# GetDelegatedResourceV2

In Stake2.0, query the detail of resource share delegated from fromAddress to toAddress.

This method will use `30` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

* `fromAddress` - String - Resource from address, default hexString
* `toAddress` - String - Resource to address
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false).

## **Returns**

`delegatedResource` - List: Resource delegation list, each resource delegation information includes below fields:

| Field                           | Type   | Description                                                                      |
| ------------------------------- | ------ | -------------------------------------------------------------------------------- |
| from                            | string | owner address                                                                    |
| to                              | string | recipient address                                                                |
| frozen\_balance\_for\_bandwidth | int64  | amount of TRX staked for bandwidth delegated from `from` address to `to` address |
| frozen\_balance\_for\_energy    | int64  | amount of TRX staked for energy delegated from `from` address to `to` address    |
| expire\_time\_for\_bandwidth    | int64  | Lock-up period deadline for bandwidth delegation, in millisecond                 |
| expire\_time\_for\_energy       | int64  | Lock-up period deadline for energy delegation, in millisecond                    |

Note that if the field value is 0 or null, the field will not be displayed in the returned result. For delegation deadlines, expire\_time\_for\_bandwidth or expire\_time\_for\_energy will be 0 if no lock is specified when delegating resources, and does not been displayed.

```json
// Result
{}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getdelegatedresourcev2 \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "fromAddress": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "toAddress": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}
